Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Reservation

    java.lang.Object
      com.amazonaws.services.ec2.model.Reservation

    public class Reservation

extends Object

An Amazon EC2 reservation of requested EC2 instances.

Constructor Summary
`Reservation()`

Method Summary
`List<String>` | `getGroupNames()` The list of security groups requested for the instances in this reservation.
`List<Instance>` | `getInstances()` The list of Amazon EC2 instances included in this reservation.
`String` | `getOwnerId()` The AWS Access Key ID of the user who owns the reservation.
`String` | `getRequesterId()` The unique ID of the user who requested the instances in this reservation.
`String` | `getReservationId()` The unique ID of this reservation.
`void` | `setGroupNames(Collection<String> groupNames)` The list of security groups requested for the instances in this reservation.
`void` | `setInstances(Collection<Instance> instances)` The list of Amazon EC2 instances included in this reservation.
`void` | `setOwnerId(String ownerId)` The AWS Access Key ID of the user who owns the reservation.
`void` | `setRequesterId(String requesterId)` The unique ID of the user who requested the instances in this reservation.
`void` | `setReservationId(String reservationId)` The unique ID of this reservation.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Reservation` | `withGroupNames(Collection<String> groupNames)` The list of security groups requested for the instances in this reservation.
`Reservation` | `withGroupNames(String... groupNames)` The list of security groups requested for the instances in this reservation.
`Reservation` | `withInstances(Collection<Instance> instances)` The list of Amazon EC2 instances included in this reservation.
`Reservation` | `withInstances(Instance... instances)` The list of Amazon EC2 instances included in this reservation.
`Reservation` | `withOwnerId(String ownerId)` The AWS Access Key ID of the user who owns the reservation.
`Reservation` | `withRequesterId(String requesterId)` The unique ID of the user who requested the instances in this reservation.
`Reservation` | `withReservationId(String reservationId)` The unique ID of this reservation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Reservation

    public Reservation()

Method Detail

### getReservationId

    public String getReservationId()

  The unique ID of this reservation.

  Returns:
    The unique ID of this reservation.

### setReservationId

    public void setReservationId(String reservationId)

  The unique ID of this reservation.

  Parameters:
    `reservationId` - The unique ID of this reservation.

### withReservationId

    public Reservation withReservationId(String reservationId)

  The unique ID of this reservation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservationId` - The unique ID of this reservation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getOwnerId

    public String getOwnerId()

  The AWS Access Key ID of the user who owns the reservation.

  Returns:
    The AWS Access Key ID of the user who owns the reservation.

### setOwnerId

    public void setOwnerId(String ownerId)

  The AWS Access Key ID of the user who owns the reservation.

  Parameters:
    `ownerId` - The AWS Access Key ID of the user who owns the reservation.

### withOwnerId

    public Reservation withOwnerId(String ownerId)

  The AWS Access Key ID of the user who owns the reservation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerId` - The AWS Access Key ID of the user who owns the reservation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRequesterId

    public String getRequesterId()

  The unique ID of the user who requested the instances in this reservation.

  Returns:
    The unique ID of the user who requested the instances in this reservation.

### setRequesterId

    public void setRequesterId(String requesterId)

  The unique ID of the user who requested the instances in this reservation.

  Parameters:
    `requesterId` - The unique ID of the user who requested the instances in this reservation.

### withRequesterId

    public Reservation withRequesterId(String requesterId)

  The unique ID of the user who requested the instances in this reservation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `requesterId` - The unique ID of the user who requested the instances in this reservation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getGroupNames

    public List<String> getGroupNames()

  The list of security groups requested for the instances in this reservation.

  Returns:
    The list of security groups requested for the instances in this reservation.

### setGroupNames

    public void setGroupNames(Collection<String> groupNames)

  The list of security groups requested for the instances in this reservation.

  Parameters:
    `groupNames` - The list of security groups requested for the instances in this reservation.

### withGroupNames

    public Reservation withGroupNames(String... groupNames)

  The list of security groups requested for the instances in this reservation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupNames` - The list of security groups requested for the instances in this reservation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withGroupNames

    public Reservation withGroupNames(Collection<String> groupNames)

  The list of security groups requested for the instances in this reservation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupNames` - The list of security groups requested for the instances in this reservation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstances

    public List<Instance> getInstances()

  The list of Amazon EC2 instances included in this reservation.

  Returns:
    The list of Amazon EC2 instances included in this reservation.

### setInstances

    public void setInstances(Collection<Instance> instances)

  The list of Amazon EC2 instances included in this reservation.

  Parameters:
    `instances` - The list of Amazon EC2 instances included in this reservation.

### withInstances

    public Reservation withInstances(Instance... instances)

  The list of Amazon EC2 instances included in this reservation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - The list of Amazon EC2 instances included in this reservation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withInstances

    public Reservation withInstances(Collection<Instance> instances)

  The list of Amazon EC2 instances included in this reservation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - The list of Amazon EC2 instances included in this reservation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.